500 Error after upgrade to 3.0.5

Discussion in 'Installation/Configuration' started by Marius Deac, Feb 27, 2013.

  1. Marius Deac

    Marius Deac New Member

    After upgrade to lateste 3.0.5 version today I get the error below when I try to acces ISPConfig webpage at https://192.168.0.10:8080 as usualy.
    I run CentOS 6.3. Other sites working OK.


    Internal Server Error

    The server encountered an internal error or misconfiguration and was unable to complete your request.

    Please contact the server administrator, webmaster@localhost and inform them of the time the error occurred, and anything you might have done that may have caused the error.

    More information about this error may be available in the server error log.
     
  2. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    This issue has been fixed already in the 3.0.5.1 release. Run the followng commands on your server to update it to 3.0.5.1:

    Code:
    cd /tmp
    wget http://www.ispconfig.org/downloads/ISPConfig-3.0.5.1.tar.gz
    tar xvfz ISPConfig-3.0.5.1.tar.gz
    cd ispconfig3_install/install
    php -q update.php
     
  3. Marius Deac

    Marius Deac New Member

    500 Error

    Thanks Till.
    I run the 3.0.5.1 update but the problem is not solved.
    The same 500 Eroor is displayed.



     
  4. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    Please take a look into the global apache error.log and post the error message that you find there for this error.
     
  5. Marius Deac

    Marius Deac New Member

    Hi Till !
    This error apper everytime I try to connect to ISPConfig web interface :

    [Wed Feb 27 13:32:38 2013] [warn] [client 192.168.0.4] (104)Connection reset by peer: mod_fcgid: error reading data from FastCGI server
    [Wed Feb 27 13:32:38 2013] [error] [client 192.168.0.4] Premature end of script headers: index.php
     
  6. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    Try this:
    Code:
    apt-get update
    apt-get install php5-cgi
    /etc/init.d/apache2 restart
     
  7. Marius Deac

    Marius Deac New Member

    Hello falko !
    I think I already have the specified packege.
    This the message I've got :

    [root@server1 ~]# yum install php-cgi
    Loaded plugins: fastestmirror, priorities, security
    Loading mirror speeds from cached hostfile
    * base: mirrors.ch-center.com
    * epel: ftp.astral.ro
    * extras: mirrors.ch-center.com
    * rpmforge: ftp.lug.ro
    * updates: mirrors.ch-center.com
    1351 packages excluded due to repository priority protections
    Setting up Install Process
    Package php-cli-5.3.3-14.el6_3.x86_64 already installed and latest version
    Nothing to do
    [root@server1 ~]#

    Meanwhile, I restored old IPConfig version 3.0.4.6 .
    But I am open to try anything to upgrade succesfully to 3.0.5.1 .
    Thank you !
     
  8. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    Please redo the update by using these commands:

    Code:
    cd /tmp
    wget http://www.ispconfig.org/downloads/ISPConfig-3-stable.tar.gz
    tar xvfz ISPConfig-3-stable.tar.gz
    cd ispconfig3_install/install
    php -q update.php
     
  9. Marius Deac

    Marius Deac New Member

    Hi Till !
    Still no luck. The same 500 Error ....
    Fortunatelly I use VMware and I was able to make fast reverse to snapshot.
    What else I could try ? :)

    As an ideea, I use EZGenerator WYSIWYG webpage editor and the "Website Administration" module is not workig correctly on my ISPConfig server ( never worked ). That module require PHP-CGI also. Maybe is still a PHP-CGI problem on my server.

    If necesar I can post any required files but I am not an Linux expert.
    Thank you for your work !
     

Share This Page